## GOMath GOMath |

## Synopsis

    void                go_continued_fraction               (double val,
                                                             int max_denom,
                                                             int *res_num,
                                                             int *res_denom);
    void                go_stern_brocot                     (double val,
                                                             int max_denom,
                                                             int *res_num,
                                                             int *res_denom);
    double              go_add_epsilon                      (double x);
    double              go_sub_epsilon                      (double x);
    double              go_fake_floor                       (double x);
    double              go_fake_ceil                        (double x);
    double              go_fake_round                       (double x);
    double              go_fake_trunc                       (double x);
    double              go_rint                             (double x);
    int                 go_finite                           (double x);
    int                 go_finitel                          (long double x);
    double              go_pow2                             (int n);
    double              go_pow10                            (int n);
    double              go_ascii_strtod                     (const char *s,
                                                             char **end);
    double              go_strtod                           (const char *s,
                                                             char **end);

## Description

## Details

### go_continued_fraction ()

    void                go_continued_fraction               (double val,
                                                             int max_denom,
                                                             int *res_num,
                                                             int *res_denom);

`val` : |
`max_denom` : |
`res_num` : |
`res_denom` : |

### go_stern_brocot ()

    void                go_stern_brocot                     (double val,
                                                             int max_denom,
                                                             int *res_num,
                                                             int *res_denom);

`val` : |
`max_denom` : |
`res_num` : |
`res_denom` : |

### go_add_epsilon ()

    double              go_add_epsilon                      (double x);

`x` : |
Returns : |

### go_sub_epsilon ()

    double              go_sub_epsilon                      (double x);

`x` : |
Returns : |

### go_fake_floor ()

    double              go_fake_floor                       (double x);

`x` : |
Returns : |

### go_fake_ceil ()

    double              go_fake_ceil                        (double x);

`x` : |
Returns : |

### go_fake_round ()

    double              go_fake_round                       (double x);

`x` : |
Returns : |

### go_fake_trunc ()

    double              go_fake_trunc                       (double x);

`x` : |
Returns : |

### go_rint ()

    double              go_rint                             (double x);

`x` : |
Returns : |

### go_finite ()

    int                 go_finite                           (double x);

`x` : |
Returns : |

### go_finitel ()

    int                 go_finitel                          (long double x);

`x` : |
Returns : |

### go_pow2 ()

    double              go_pow2                             (int n);

`n` : |
Returns : |

### go_pow10 ()

    double              go_pow10                            (int n);

`n` : |
Returns : |

### go_ascii_strtod ()

    double              go_ascii_strtod                     (const char *s,
                                                             char **end);

`s` : |
`end` : |
Returns : |

### go_strtod ()

    double              go_strtod                           (const char *s,
                                                             char **end);

`s` : |
`end` : |
Returns : |